[Pkg-voip-commits] r8206 - in /asterisk/trunk/debian: asterisk-sounds-main.postinst asterisk-sounds-main.prerm changelog rules

tzafrir-guest at alioth.debian.org tzafrir-guest at alioth.debian.org
Sun Mar 14 23:58:35 UTC 2010


Author: tzafrir-guest
Date: Sun Mar 14 23:58:35 2010
New Revision: 8206

URL: http://svn.debian.org/wsvn/pkg-voip/?sc=1&rev=8206
Log:
* sounds/en/ is now an alternative. English sounds installed to
  en_US_f_Allison .
* Removed empty es/ and fr/ directories under sounds/ 

Added:
    asterisk/trunk/debian/asterisk-sounds-main.postinst
    asterisk/trunk/debian/asterisk-sounds-main.prerm
Modified:
    asterisk/trunk/debian/changelog
    asterisk/trunk/debian/rules

Added: asterisk/trunk/debian/asterisk-sounds-main.postinst
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/asterisk-sounds-main.postinst?rev=8206&op=file
==============================================================================
--- asterisk/trunk/debian/asterisk-sounds-main.postinst (added)
+++ asterisk/trunk/debian/asterisk-sounds-main.postinst Sun Mar 14 23:58:35 2010
@@ -1,0 +1,49 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+NAME=asterisk-sounds-en
+SYMLINK=/usr/share/asterisk/sounds/en
+TARGET=/usr/share/asterisk/sounds/en_US_f_Allison
+
+
+case "$1" in
+    configure)
+        if [ ! -L $SYMLINK ] && [ -d $SYMLINK ]; then
+	    # Directory already exists. And not an alternative.
+	    # Don't register alternative.
+	    # FIXME: use debconf
+	    # FIXME: what if there's a link elsewhere?
+	    echo "Directory $SYMLINK already exists. Please remove it"
+	    echo "When done, run: dpkg-reconfigure $PACKAGE"
+	    exit 0
+	fi
+	update-alternatives --install $SYMLINK $NAME $TARGET 50
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: asterisk/trunk/debian/asterisk-sounds-main.prerm
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/asterisk-sounds-main.prerm?rev=8206&op=file
==============================================================================
--- asterisk/trunk/debian/asterisk-sounds-main.prerm (added)
+++ asterisk/trunk/debian/asterisk-sounds-main.prerm Sun Mar 14 23:58:35 2010
@@ -1,0 +1,9 @@
+#! /bin/sh -e
+
+NAME=asterisk-sounds-en
+TARGET=/usr/share/asterisk/sounds/en_US_f_Allison
+
+update-alternatives --remove $NAME $TARGET
+
+
+#DEBHELPER#

Modified: asterisk/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/changelog?rev=8206&op=diff
==============================================================================
--- asterisk/trunk/debian/changelog (original)
+++ asterisk/trunk/debian/changelog Sun Mar 14 23:58:35 2010
@@ -6,8 +6,11 @@
   * Patch moh_datadir: Make the datadir the default base for moh files
     if a relative path is used.
   * Patch dahdi-fxsks-hookstate: a simpler version. 
-
- -- Tzafrir Cohen <tzafrir.cohen at xorcom.com>  Tue, 09 Mar 2010 12:43:27 +0200
+  * sounds/en/ is now an alternative. English sounds installed to
+    en_US_f_Allison .
+  * Removed empty es/ and fr/ directories under sounds/ 
+
+ -- Tzafrir Cohen <tzafrir.cohen at xorcom.com>  Mon, 15 Mar 2010 01:56:43 +0200
 
 asterisk (1:1.6.2.2-1) unstable; urgency=medium
 

Modified: asterisk/trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/rules?rev=8206&op=diff
==============================================================================
--- asterisk/trunk/debian/rules (original)
+++ asterisk/trunk/debian/rules Sun Mar 14 23:58:35 2010
@@ -131,6 +131,10 @@
 	dh_installdirs -i
 
 	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) DESTDIR=$(CURDIR)/debian/tmp install samples
+	rm -rf $(CURDIR)/debian/tmp/usr/share/asterisk/sounds/es
+	rm -rf $(CURDIR)/debian/tmp/usr/share/asterisk/sounds/fr
+	mv $(CURDIR)/debian/tmp/usr/share/asterisk/sounds/en \
+	   $(CURDIR)/debian/tmp/usr/share/asterisk/sounds/en_US_f_Allison
 
 	dh_install -i --sourcedir=debian/tmp
 	dh_lintian -i




More information about the Pkg-voip-commits mailing list